<?php

//Programmiert von: Max Heer, Getestet von: Samuel Wolff

namespace ppb\Model;

use ppb\Library\Msg;

class TagesplanModel extends Database
{

    public function getTagesplan()
    {
        $pdo = $this->linkDB();
        $sql = "SELECT * FROM Tagesplan";
        try {
            $stmt = $pdo->prepare($sql);
            $stmt->execute();
        } catch (\PDOException $e) {
            return false;
        }
        $result = $stmt->fetchAll(\PDO::FETCH_ASSOC);

        return $result;
    }

    public function insertTagesplan($data)
    {
        $pdo = $this->linkDB();
        $params = array();
        $sql = "INSERT INTO Tagesplan (";
        foreach ($data as $index => $value) {
            $sql .= "" . $index . ",";
        }
        $sql = substr($sql, 0, strlen($sql) - 1) . ") VALUES (";

        foreach ($data as $index => $value) {
            $sql .= ":" . $index . ",";
            $params[":" . $index] = $value;
        }

        $sql = substr($sql, 0, strlen($sql) - 1) . ");";

        try {
            $stmt = $pdo->prepare($sql);
            $stmt->execute($params);
            return true;
        } catch (\PDOException $e) {
            echo $sql;
            return false;
        }
    }

    public function deleteTagesplan($id)
    {
        $pdo = $this->linkDB();
        $params = array();
        $sql = "DELETE FROM Tagesplan WHERE id=:id";
        $params[":id"] = $id;
        try {
            $stmt = $pdo->prepare($sql);
            $stmt->execute($params);
            return true;
        } catch (\PDOException $e) {
            return false;
        }
    }
}
?>